## httpbin 0.4.0%2Bdfsg

=== requirements.txt ===
decorator==3.4.0
Flask==0.10.1
gevent==1.0.1
greenlet==0.4.2
gunicorn==19.2
itsdangerous==0.24
Jinja2==2.7.2
MarkupSafe==0.23
six==1.6.1
Werkzeug==0.9.4

## httpbin 0.4.0+dfsg

=== debian/changelog ===
httpbin (0.4.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #787113)

 -- Daniel Stender <debian@danielstender.com>  Mon, 02 Nov 2015 00:05:27 +0100

=== debian/control ===
Source: httpbin
Section: web
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
 pandoc 
Standards-Version: 3.9.6
Homepage: https://github.com/Runscope/httpbin
X-Python-Version: >= 2.7

Package: python-httpbin
Architecture: all
Depends:
 python-decorator (>= 3.4.0),
 python-flask,
 python-gevent (>= 1.0.1),
 python-greenlet (>= 0.4.2),
 python-itsdangerous,
 python-jinja2 (>= 2.7.2),
 python-markupsafe (>= 0.23),
 python-six (>= 1.6.1),
 python-werkzeug (>= 0.9.4),
 ${misc:Depends},
 ${python:Depends}
Recommends:
 gunicorn (>= 19.2)
Description: HTTP request and response service
 httpbin is a test server for testing HTTP libraries and apps. It
 features several endpoints to cover a multitude of HTTP scenarios.
 httpbin ships as a Python library and could be run directly by
 the Python interpreter, or as a WSGI app e.g. with Gunicorn. The
 endpoint responses are JSON-encoded.
 .
 This package provides httpbin in the Python 2 module path.

# no Python3 package due to missing python3-gevent

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=httpbin

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_installdocs:
	pandoc -f rst -t plain -o .pybuild/README README.rst
	dh_installdocs .pybuild/README

override_dh_installchangelogs:
	sed -n '/'Changelog'/,/'0.1.0'/p' .pybuild/README > .pybuild/CHANGELOG
	dh_installchangelogs .pybuild/CHANGELOG

## httpbin 0.4.1+dfsg

=== debian/changelog ===
httpbin (0.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Build Python 3 package (Closes: #805041):
    + deb/control: added package description.
    + deb/rules: build with dh_python3, added -A to debhelper modules.
    + provide deb/python{,3}-httpbin.lintian-overrides.
  * deb/control:
    + put PAPT into Maintainer, updated uploader email address.
    + build against default Python, removed X-Python-Version.
    + bumped standards to 3.9.7 (no changes needed).
    + added Vcs-Svn and Vcs-Browser (package put under PAPT umbrella).
    + bumped needed python-gevent version.
  * deb/copyright:
    + updated.
    + don't use Files-Excluded to handle egg-info.
  * deb/rules: added empty overrides for dh_auto_build and test.
  * Added deb/source/options (ignoring egg-info).

 -- Daniel Stender <stender@debian.org>  Thu, 17 Mar 2016 09:01:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: httpbin
 Section: web
 Priority: optional
-Maintainer: Daniel Stender <debian@danielstender.com>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Daniel Stender <stender@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
- python-all,
+ python,
+ python3,
  python-setuptools,
+ python3-setuptools,
  pandoc 
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/Runscope/httpbin
-X-Python-Version: >= 2.7
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/httpbin/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/httpbin/trunk/
 
 Package: python-httpbin
 Architecture: all
 Depends:
  python-decorator (>= 3.4.0),
  python-flask,
- python-gevent (>= 1.0.1),
+ python-gevent (>= 1.0.2),
  python-greenlet (>= 0.4.2),
  python-itsdangerous,
  python-jinja2 (>= 2.7.2),
@@ -37,4 +41,27 @@
  .
  This package provides httpbin in the Python 2 module path.
 
-# no Python3 package due to missing python3-gevent
+Package: python3-httpbin
+Architecture: all
+Depends:
+ python3-decorator (>= 3.4.0),
+ python3-flask,
+ python3-gevent (>= 1.0.2),
+ python3-greenlet (>= 0.4.2),
+ python3-itsdangerous,
+ python3-jinja2 (>= 2.7.2),
+ python3-markupsafe (>= 0.23),
+ python3-six (>= 1.6.1),
+ python3-werkzeug (>= 0.9.4),
+ ${misc:Depends},
+ ${python3:Depends}
+Recommends:
+ gunicorn3 (>= 19.2)
+Description: HTTP request and response service (Python 3 package)
+ httpbin is a test server for testing HTTP libraries and apps. It
+ features several endpoints to cover a multitude of HTTP scenarios.
+ httpbin ships as a Python library and could be run directly by
+ the Python interpreter, or as a WSGI app e.g. with Gunicorn. The
+ endpoint responses are JSON-encoded.
+ .
+ This package provides httpbin in the Python 3 module path.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=httpbin

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:

override_dh_auto_test:

override_dh_installdocs:
	pandoc -f rst -t plain -o .pybuild/README README.rst
	dh_installdocs -A .pybuild/README

override_dh_installchangelogs:
	sed -n '/'Changelog'/,/'0.1.0'/p' .pybuild/README > .pybuild/CHANGELOG
	dh_installchangelogs -A .pybuild/CHANGELOG

## httpbin 0.5.0%2Bdfsg

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 decorator==3.4.0
 Flask==0.10.1
-gevent==1.0.1
+gevent==1.0.2
 greenlet==0.4.2
 gunicorn==19.2
 itsdangerous==0.24

=== debian/changelog ===
httpbin (0.5.0+dfsg-2) unstable; urgency=medium

  * Orphan package:
    + deb/control: put Debian QA in Maintainer field, drop Uploaders.

 -- Daniel Stender <stender@debian.org>  Mon, 19 Jun 2017 17:44:47 +0200

httpbin (0.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: bump standards to 3.9.8 (no changes needed).
  * deb/copyright: expand copyright span.
  * deb/rules: add export for LC_ALL set to UTF-8.
  * remove deb/gbp.conf.

 -- Daniel Stender <stender@debian.org>  Tue, 16 Aug 2016 22:29:16 +0200

## httpbin 0.5.0+dfsg

=== debian/changelog ===
httpbin (0.5.0+dfsg-4) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Feb 2021 04:14:39 +0000

httpbin (0.5.0+dfsg-3) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove trailing whitespaces
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 21 Aug 2019 22:19:45 +0500

=== debian/control ===
Source: httpbin
Section: web
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 python3,
 python3-setuptools,
 pandoc
Standards-Version: 3.9.8
Homepage: https://github.com/Runscope/httpbin
Vcs-Git: https://salsa.debian.org/python-team/packages/httpbin.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/httpbin

Package: python3-httpbin
Architecture: all
Depends:
 python3-decorator (>= 3.4.0),
 python3-flask,
 python3-gevent (>= 1.0.2),
 python3-greenlet (>= 0.4.2),
 python3-itsdangerous,
 python3-jinja2 (>= 2.7.2),
 python3-markupsafe (>= 0.23),
 python3-six (>= 1.6.1),
 python3-werkzeug (>= 0.9.4),
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 gunicorn3 (>= 19.2)
Description: HTTP request and response service (Python 3 package)
 httpbin is a test server for testing HTTP libraries and apps. It
 features several endpoints to cover a multitude of HTTP scenarios.
 httpbin ships as a Python library and could be run directly by
 the Python interpreter, or as a WSGI app e.g. with Gunicorn. The
 endpoint responses are JSON-encoded.
 .
 This package provides httpbin in the Python 3 module path.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 export PYBUILD_NAME=httpbin
+export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg \
https://pypi.debian.net/httpbin/httpbin-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## httpbin 0.7.0+dfsg

=== debian/changelog ===
httpbin (0.7.0+dfsg-3) unstable; urgency=medium

  * Fix gunicorn recommendation

 -- Timo Röhling <roehling@debian.org>  Mon, 13 Dec 2021 17:20:56 +0100

httpbin (0.7.0+dfsg-2) unstable; urgency=medium

  * Modernize packaging
  * Fix test suite (Closes: #997846)
  * Adopt package by the Python Team

 -- Timo Röhling <roehling@debian.org>  Sun, 12 Dec 2021 00:42:05 +0100

httpbin (0.7.0+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Newer upstream version 0.7.0+dfsg
  * Update patches
  * Drop Build-Depends: pandoc
  * Remove dependency on obsolete raven package
  * Add Depends: python3-brotli
  * Allow pybuild to build package and generate Depends
  * Add autopkgtest
  * update patches so as not to interfere with tests

 -- Afif Elghraoui <afif@debian.org>  Sun, 03 Oct 2021 14:25:43 -0700

=== debian/control ===
Source: httpbin
Section: web
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 python3,
 python3-brotli,
 python3-decorator (>= 3.4.0),
 python3-flask,
 python3-gevent (>= 1.0.2),
 python3-greenlet (>= 0.4.2),
 python3-itsdangerous,
 python3-jinja2 (>= 2.7.2),
 python3-markupsafe (>= 0.23),
 python3-setuptools,
 python3-six (>= 1.6.1),
 python3-werkzeug (>= 0.9.4),
Standards-Version: 4.6.0
Homepage: https://github.com/Runscope/httpbin
Vcs-Git: https://salsa.debian.org/python-team/packages/httpbin.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/httpbin

Package: python3-httpbin
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-brotli,
Recommends:
 gunicorn
Description: HTTP request and response service (Python 3 package)
 httpbin is a test server for testing HTTP libraries and apps. It
 features several endpoints to cover a multitude of HTTP scenarios.
 httpbin ships as a Python library and could be run directly by
 the Python interpreter, or as a WSGI app e.g. with Gunicorn. The
 endpoint responses are JSON-encoded.
 .
 This package provides httpbin in the Python 3 module path.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=httpbin
export LC_ALL=C.UTF-8

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	python3 test_httpbin.py

override_dh_installdocs:
	dh_installdocs -A README.md

=== debian/tests/control ===
# httpbin/core.py is just used as a test upload...
Test-Command:
 mkdir ${AUTOPKGTEST_TMP}/httpbin
 && cp httpbin/core.py ${AUTOPKGTEST_TMP}/httpbin
 && cp test_httpbin.py ${AUTOPKGTEST_TMP}
 && cd ${AUTOPKGTEST_TMP}
 && python3 test_httpbin.py
Restrictions: allow-stderr

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
 dversionmangle=s/\+dfsg\d*$//,\
 repacksuffix=+dfsg \

## httpbin 0.10.1+dfsg

=== debian/changelog ===
httpbin (0.10.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * [380aaa2] d/gbp.conf: Add some more defaults
  * [b83c367] Rebuild patch queue from patch-queue branch
    Added patches:
    Add-fallback-for-Werkzeug-3.0.0.patch
    Fix-Flask-requirements-and-werkzeug-imports.patch
  * [0f49e57] d/control: Rework B-D, add BuildProfileSpecs
  * [0ef0981] autopkgtest: Use upstream test for CI testing

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 24 Dec 2023 13:48:33 +0100

httpbin (0.10.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Patch: Support Flask >= 2.3.0, and avoid deprecation warnings in >= 2.2.0.
    (Closes: #1052856)
  * Update homepage and upstream metadata to point to the PSF GitHub fork.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 21 Dec 2023 11:55:38 -0400

httpbin (0.10.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.10.1+dfsg
  * Update d/copyright with new dual licensing model
  * Update patches
    - Drop test-post-body-text.patch (obsolete)
  * Migrate to pyproject build

 -- Timo Röhling <roehling@debian.org>  Thu, 31 Aug 2023 22:45:43 +0200

httpbin (0.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.10.0+dfsg
  * Update patches
    - Drop obsolete patches:
      landing-page-privacy-breach.patch
      drop-raven.patch
      fix-test-suite.patch
      werkzeug_2_2.patch
    - Add new patches:
      brotli.patch (use brotli instead of brotlicffi)
      google-fonts-privacy-breach.patch
      test-post-body-text.patch
  * Add new build dependency on flasgger
  * Fix dh_auto_test
  * Add lintian override for source-is-missing false positives
  * Bump Standards-Version to 4.6.2
  * Switch to pybuild-autopkgtest

 -- Timo Röhling <roehling@debian.org>  Sun, 27 Aug 2023 00:14:38 +0200

httpbin (0.7.0+dfsg-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-decorator,
      python3-gevent, python3-greenlet, python3-jinja2, python3-markupsafe,
      python3-six and python3-werkzeug.
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 22:24:32 +0100

httpbin (0.7.0+dfsg-4) unstable; urgency=medium

  * Fix compatibility with Werkzeug 2.1+ (Closes: #1020733)
  * Bump Standards-Version to 4.6.1
  * Honor 'nocheck' build option for tests

 -- Timo Röhling <roehling@debian.org>  Mon, 26 Sep 2022 13:10:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,17 @@
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3,
- python3-brotli,
- python3-decorator (>= 3.4.0),
- python3-flask,
- python3-gevent (>= 1.0.2),
- python3-greenlet (>= 0.4.2),
- python3-itsdangerous,
- python3-jinja2 (>= 2.7.2),
- python3-markupsafe (>= 0.23),
+ python3-brotli <!nocheck>,
+ python3-decorator <!nocheck>,
+ python3-flask <!nocheck>,
+ python3-flasgger <!nocheck>,
  python3-setuptools,
- python3-six (>= 1.6.1),
- python3-werkzeug (>= 0.9.4),
-Standards-Version: 4.6.0
-Homepage: https://github.com/Runscope/httpbin
+ python3-werkzeug <!nocheck>,
+Standards-Version: 4.6.2
+Homepage: https://github.com/psf/httpbin
+Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/httpbin.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/httpbin

## httpbin 0.10.2%2Bdfsg

=== debian/changelog ===
httpbin (0.10.2+dfsg-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 21 Jan 2026 19:23:47 +0000

httpbin (0.10.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add a patch to silence SyntaxWarning (Closes: #1085639)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 18 Nov 2024 21:34:11 +0100

httpbin (0.10.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.10.2+dfsg
  * refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Thu, 22 Feb 2024 16:52:16 +0100

httpbin (0.10.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Fix bytes endpoint after werkzeug updates

 -- Scott Talbert <swt@techie.net>  Wed, 10 Jan 2024 18:34:37 -0500

httpbin (0.10.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * add a patch to remove usage of six
  * set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Jan 2024 19:06:28 +0100

## httpbin 0.10.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  python3-flasgger <!nocheck>,
  python3-setuptools,
  python3-werkzeug <!nocheck>,
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/psf/httpbin
 Testsuite: autopkgtest-pkg-pybuild

=== debian/tests/control ===
Tests:
 upstream
Depends:
 python3-all,
 python3-brotli,
 python3-decorator,
 python3-flask,
 python3-flasgger,
 python3-werkzeug,
 @,
Restrictions: allow-stderr
